Intel® High Level Design
Support for Intel® High Level Synthesis Compiler, DSP Builder, OneAPI for Intel® FPGAs, Intel® FPGA SDK for OpenCL™
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
442 Discussions

Failed install of FPGA tookit

mcordery
Employee
214 Views

I'd already installed the oneAPI base toolkit on my local desktop but wanted to try to do a bit of FPGA development. During he install I got the following message

 

Unpacking intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1 (2021.1.1) ...
dpkg: error processing archive /tmp/apt-dpkg-install-Djnoun/5-intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1_2021.1.1_amd64.deb (--unpack):
trying to overwrite '/opt/intel/oneapi/intelfpgadpcpp/2021.1.1/env/vars.sh', which is also in package intel-oneapi-intelfpgadpcpp-a10gx-s10sx-2021.1.1 2021.1.1
Selecting previously unselected package intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3.
Preparing to unpack .../6-intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3_2021.1.1_amd64.deb ...
Unpacking intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3 (2021.1.1) ...
Errors were encountered while processing:
/tmp/apt-dpkg-install-Djnoun/5-intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1_2021.1.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

I followed up with this but still get the same error

 

mcordery@DESKTOP-J13NI0K:~/kernels/HACCmk$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1
The following NEW packages will be installed:
intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
6 not fully installed or removed.
Need to get 0 B/6322 B of archives.
After this operation, 77.8 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 355734 files and directories currently installed.)
Preparing to unpack .../intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1_2021.1.1_amd64.deb ...
Unpacking intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1 (2021.1.1) ...
dpkg: error processing archive /var/cache/apt/archives/intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1_2021.1.1_amd64.deb (--unpack):
trying to overwrite '/opt/intel/oneapi/intelfpgadpcpp/2021.1.1/env/vars.sh', which is also in package intel-oneapi-intelfpgadpcpp-a10gx-s10sx-2021.1.1 2021.1.1
Errors were encountered while processing:
/var/cache/apt/archives/intel-oneapi-intelfpgadpcpp-custom-platforms-quartus20.3-2021.1.1_2021.1.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
mcordery@DESKTOP-J13NI0K:~/kernels/HACCmk$ make
dpcpp -fintelfpga -Xshardware -o HACCmk main.o
aoc: error: Quartus could not be found. Please ensure Intel(R) FPGA Add-on for oneAPI Base Toolkit is installed.
dpcpp: error: fpga compiler command failed with exit code 1 (use -v to see invocation)
Makefile:49: recipe for target 'main' failed
make: *** [main] Error 1

 

0 Kudos
1 Solution
mcordery
Employee
206 Views

Got this fixed, did a reinstall via sudo apt then realized I needed to source an environment var script in /opt/intel/oneapi/intelfpgadpcpp/latest/env/vars.sh

View solution in original post

1 Reply
mcordery
Employee
207 Views

Got this fixed, did a reinstall via sudo apt then realized I needed to source an environment var script in /opt/intel/oneapi/intelfpgadpcpp/latest/env/vars.sh

View solution in original post

Reply